---
title: "tau"
excerpt: "Return the value of `tau`. The full circle constant (τ). Equal to 2π."
layout: manual
---

Return the value of `tau`. The full circle constant (τ). Equal to 2π.



```js
tau() -> number
```

### Tags

* `math`



### Returns

`number` 


### Examples

```js
exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle = 50, length = 10 * tau() }, %)
  |> yLineTo(0, %)
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of tau 0](data:image/png;base64,[encoded data, 83504 characters])


